PLEASE JOIN MY DISCORD SERVER IF YOU HAVE ANY FEEDBACK https://discord.gg/JTpkA5heqJ that would be greatly appreciated

## Mod Overview
BalanceOverhaulRBO is a BALANCE MOD whose primary intent is to shift the balance and meta of Risk of Rain 2, away from excessive healing and mobility, and more towards "Effective Health" options like shield and armor. Additionally, many items have been adjusted (mostly with proc coefficient on Damaging On-Kill Effects), in hopes that it will greatly increase player involvement in longer runs where the game would otherwise be "automatically played" by their item setup.

In vanilla RoR2, the balance is often in a state such that taking a hit can mean either death happens in an instant, or else it is very easy to recover from it due to the high availability of healing. With the changes to the state of RoR2's balance, it is moreso punishing in the sense that recovery from taking a hit can be difficult and will often lead to death if you are not careful. Aggressive play is encouraged and supported through new defensive items and avenues. This means gameplay is generally more fair, but unforgiving.

Due to the nature of balancing for longer runs, this is a mod that is very difficult to playtest and balance for, so all feedback is greatly appreciated. Once again, if you have anything to say, then please join the discord server.

# Changes:
Each of these categories may be enabled/disabled together by config, but not the individual changes within them


## State of Defense + Healing:

### Healing...
```
- Monster Tooth max duration increased; healing behavior changed
- Medkit buff changed to be a debuff (can now be cleansed by blast shower, which gives heal immediately); healing behavior changed
- Harvesters Scythe healing amount reduced
- NKuhanas Opinion does way more damage
```

### Armor...
```
- Titanic Knurl changed to give bonus armor unconditionally on top of vanilla effects
- Rose Buckler changed to give bonus armor unconditionally on top of vanilla effects
- Repulsion Armor plating changed to give bonus armor unconditionally on top of vanilla effects
- Jade Elephant buff now stacks and grants more armor per stack for longer
```

### Other...
```
- Tougher Times dodge chance function is halved; now dodge chance is 50% AS STACKS APPROACH INFINITY (stacking behavior is the same)
- Pauls Goat Hoof movespeed bonus reduced
- Energy Drink movespeed bonus reduced
- Range of all "pickup"-type items increased
```


## State of Health:

### Health...
```
- Infusion max health bonus now scales +30% with level, like how regen items do; base max health bonus reduced
(with these changes, infusion effectively acts like an addition to lv0 health and scaling health values)
```

### Barrier...
```
- Changed barrier to decay based on current barrier, not max
- Changed Aegis to additionally slow down barrier decay rate
```

### Items...
```
- Added Remarkably Stable Tesla Coil EQUIPMENT, replaces Unstable Tesla Coil
- Added Items: Borbos Band, Frozen Turtle Shell
```

## State of Player Interaction:

### Economy...
```
- Massive economy changes! 
   * Chest costs SCALE about twice as fast, but you gain more gold (overall a nerf, yes this is intended)
   * Blood shrines now grant 2 chests worth of gold per health bar sacrificed
   * Legendary Chests and Gold Shrines now have a cost multiplier of 10x instead of 16x
   * Big Drones now have a cost multiplier of 8x instead of 14x
   * AWU has been given some additional armor and Adaptive Armor to help match legendary chest scaling
```

### Slows...
```
- "kit slow" debuff now also reduces attack speed of the afflicted
- "chronobauble slow" debuff now also reduces attack speed of the afflicted
- "cold slow" debuff now also reduces attack speed of the afflicted
- Clay Templar attack speed increased to compensate for slow changes
- ALL "Jellynukes" no longer scale with attack speed
```
	
### Other...
```
- Each Newt Altar now has a 30% chance to spawn, INCLUDING the previously guaranteed newt altars
- Genesis Loop damage reduced to 3000%, proc coeff reduced to 0.3
- All bosses now drop their respective boss items DIRECTLY; teleporter boss drops removed
- Boss item printers removed
- Scavengers can no longer obtain healing equipment
- NKuhanas Opinion added to item blacklist for enemies
- Shattering Justice now INSTANTLY pulverizes on hits that pass a HUGE damage threshold
- Overloading Elite bombs no longer stick to targets hit
- Overloading Elite bombs now have a much bigger radius + shorter fuse time
- Overloading Elites now deal much less knockback
```

### Items...
```
- Added AtG Missile Mk.3, replaces AtG Missile Mk.1
- Added Items: Wicked Band, Golden Gun, Magic Quiver
```

## State of Player Damage

### Autoplay...
```
- Ceremonial Dagger projectile lifetime reduced
- Ceremonial Dagger projectile proc coefficient reduced to 0
- Willowisp blast radius increased, no longer scales with stacks
- Willowisp blast proc coefficient reduced to 0
- Willowisp blast damage increased
- Shatterspleen explosion proc coefficient reduced to 0
- Fireworks proc coefficient reduced to 0
- Resonance disc proc coefficient reduced to 0
- Razorwire proc coefficient reduced to 0
- Little Disciple proc coefficient reduced to 0
- Resonance Disc proc coefficients reduced to 0
```

### Other...
``` 
- Lensmakers Glasses crit chance reduced
- Ocular HUD now grants bonus Critical Strike damage on top of vanilla effects

- Glowing Meteorite damage falloff REMOVED
- Damage of Runalds + Kjaros bands changed; now does a mixture of base and total damage
- Warcry buffs (from Pauldron and Gorag) now grant extra damage on top of vanilla effects
- Death Mark now increases damage dealt against enemies with the debuff with each stack rather than increasing duration with each stack
```

### Items...
```
- Added Old Guillotine EQUIPMENT, replaces Old Guillotine
- Added Items: Chefs Stache, The New Lopper, Permafrost
```

# Lastly...

Known Issues:
```
- Again, this is a mod that is very hard to playtest for, so balance issues are very likely to appear.
- There are a good few bugs, none game breaking though.
```

# Latest Versions:
- Added a bunch of the old BORBO items
- Reworked Overloading Elites
- Fixed a bunch of bugs

